;;; ClojureCubes --- The Clojure cubes for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani & Contributors
;;
;; Author: Pouya Abbassi <abbassi.pouya@gmail.com>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 3.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:


(defun fg42/fn-greek-lambda ()
  (font-lock-add-keywords nil `(("\\<fn\\>"
                                 (0 (progn (compose-region (match-beginning 0) (match-end 0)
                                                           ,(make-char 'greek-iso8859-7 107))
                                           nil))))))


(defun fg42/clojure-init ()
  (paredit-mode 1)
  (aggressive-indent-mode 1)
  (rainbow-delimiters-mode 1)
  (when-flag lsp (lsp))
  (fg42/fn-greek-lambda)
  (add-hook 'clojure-mode-hook (lambda ()
                                 (lsp)
                                 (require 'company-capf)
                                 (require 'company-box)
                                 (setq company-backends
                                       '((company-capf
                                          company-keywords))))))


(provide 'fg42/cubes/clojure/core)
;;; core.el ends here
