;;; GolangCubes --- The Golang cubes for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 3.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'fpkg)
(require 'fg42/cube)
(require 'fg42/utils)

(autoload-cube 'fg42/initialize-golang "golang/core.el" "Initalize the go mode.")

(defcube fg42/golang-cube
  "Golang support cube for fg42."
  :title "Golang cube" :flag golang
  :flag-default t

  (fpkg/use go-mode
    :defer t
    :mode "\\.go\\'"
    :config
    (progn
      (add-hook 'go-mode-hook 'fg42/initialize-golang)
      (when-flag lsp
        (add-hook 'go-mode-hook
                  (lambda ()
                    (when (not (boundp 'lsp))
                      (require 'lsp)
                      (lsp-deferred))))))))



(provide 'fg42/cubes/golang)
;;; golang.el ends here
