;;; JuliaCubes --- The Julia cube for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://devheroes.codes/FG42/FG42
;; Version: 3.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'fpkg)
(require 'fg42/cube)


(defcube fg42/julia-cube
  "Julia integration for FG42."
  :title "julia"
  :flag-default t
  :flag julia

  (fpkg/use julia-mode)
  (fpkg/use julia-repl
    :config
    (add-hook 'julia-mode-hook 'julia-repl-mode))

  (fpkg/use julia-formatter
    :config
    (require 'julia-formatter)
    (add-hook 'julia-mode-hook #'julia-formatter-mode))
  (fpkg/use flycheck-julia)
  (fpkg/use lsp-julia
    :config
    (add-hook 'julia-mode-hook #'lsp-mode)))


(provide 'fg42/cubes/julia)
;;; julia.el ends here
