;;; ProofGeneralCube --- ProofGeneral support for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2024 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://ziglab.com/FG42/FG42
;; Version: 3.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'fpkg)
(require 'fg42/cube)
(require 'fg42/utils)


(defcube fg42/proof-general-cube
  "Integrate Proof General with Fg42"
  :title "Proof General cube"
  :flag-default nil
  :flag proof-general

  (fpkg/use proof-general)
  (fpkg/use company-coq
    :config (add-hook 'coq-mode-hook #'company-coq-mode)))


(->cube idris-mode
  "Add support for the Idris programming language to FG42.
For more info checkout [[https://github.com/idris-hackers/idris-mode]]"
  :config
  (require 'flycheck-idris)
  (add-hook 'idris-mode-hook #'flycheck-mode))


(provide 'fg42/cubes/proof)
;;; proof.el ends here
